<?php
// Version: 4.1; ProfileVisitors

function template_visitors($visitors)
{
	global $context, $scripturl, $txt;

	if (!empty($visitors))
	{
		foreach ($visitors as $visitor)
		{
				echo '
				<table>
				<tr>
					<td class="windowbg" style="text-align: center; padding: 5px; width: 50px;">';

				if ($visitor['avatar']['href'])
					echo '
						<img src="', $visitor['avatar']['href'], '" width="50" alt="', $visitor['name'], '" />';

				echo '
					</td>
					<td class="windowbg" style="padding: 5px; width: 100px;">
						<strong>', $visitor['link'], '</strong>
						<br />
						<span class="smalltext">
							', sprintf($txt['pv_visited_' . ($visitor['views'] > 1 ? 'plural' : 'single')], $visitor['views']), '
						<br />
						', $visitor['time'];

				if ($visitor['can_remove'])
					echo '
						<br />
						<a href="', $scripturl, '?action=profile;sa=pv_delete;u=', $context['member']['id'], ';member=', $visitor['id'], ';sesc=', $context['session_id'], '">[', $txt['remove'], ']</a>';

				echo '
						</span>
					</td>
				</tr></table>';
		}
	}
	else
		echo '
				<table>
				<tr>
					<td colspan="2" style="text-align: center;">
						<br />', $txt['pv_no_visitors'], '<br />
					</td>
				</tr>
				</table>';
}

?>